aboutsummaryrefslogtreecommitdiffstats
path: root/non-free
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-05-19 11:55:33 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2015-05-19 12:00:03 +0200
commitbf18a08f0c87cee1872490947b5e31c51c5f4775 (patch)
tree36eeb55b6a5a0e40aabefce8a0fe4d70ad86e102 /non-free
parent2edf449670dc5ca3c977e08c5a3b6b0c3448f702 (diff)
downloadaports-bf18a08f0c87cee1872490947b5e31c51c5f4775.tar.gz
aports-bf18a08f0c87cee1872490947b5e31c51c5f4775.tar.bz2
aports-bf18a08f0c87cee1872490947b5e31c51c5f4775.tar.xz
non-free/adobe-flashplayer: new aport
Adobe Flash player https://get.adobe.com/flashplayer/otherversions
Diffstat (limited to 'non-free')
-rw-r--r--non-free/adobe-flashplayer/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/non-free/adobe-flashplayer/APKBUILD b/non-free/adobe-flashplayer/APKBUILD
new file mode 100644
index 0000000000..633d0e34fd
--- /dev/null
+++ b/non-free/adobe-flashplayer/APKBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=adobe-flashplayer
+pkgver=11.2.202.460
+pkgrel=0
+pkgdesc="Adobe Flash player"
+url="https://get.adobe.com/flashplayer/otherversions"
+arch="x86_64"
+license="non-free"
+depends="libc6-compat"
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="https://fpdownload.macromedia.com/get/flashplayer/pdc/$pkgver/install_flash_player_11_linux.x86_64.tar.gz"
+
+_builddir=
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ return 0
+}
+
+package() {
+ cd "$_builddir"
+ mkdir -p "$pkgdir"/usr/lib/mozilla/plugins
+ install "$srcdir"/libflashplayer.so "$pkgdir"/usr/lib/mozilla/plugins/
+}
+
+md5sums="56d4ca1b289de3b3b0e24ade8f3c07e0 install_flash_player_11_linux.x86_64.tar.gz"
+sha256sums="d9e6d8bb58f37e6d4dda637ed1aaa78edfdc422f1fd50227347fbfaa63875094 install_flash_player_11_linux.x86_64.tar.gz"
+sha512sums="8d22a785d10f97ea5b53390e89a9b93b181705cf0bf7df55545117f0d819306fc66c3f0d4a36542d6508199a98f335e1fafaf5172c1309a757d672399691bd39 install_flash_player_11_linux.x86_64.tar.gz"